/* This file is part of mailfrom filter.
   Copyright (C) 2005, Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301 USA */

# ifndef MAXPACKET
#  define MAXPACKET 8192	/* max packet size used internally by BIND */
# endif /* ! MAXPACKET */

typedef enum {
	getmx_success,
	getmx_not_found,
	getmx_failure,
	getmx_temp_failure,
} getmx_status;

#define MAXMXCOUNT 32
typedef char *mxbuf_t[MAXMXCOUNT];

#define DEFAULT_PIDFILE LOCALSTATEDIR "/mailfromd.pid"

#define debug(lev,c) do if (debug_level >= lev) {\
 debug_log("%s:%lu:%s: ", __FILE__, __LINE__, __FUNCTION__); \
 debug_log c; \
} while (0)

extern int debug_level;

extern getmx_status getmx(char *ipstr, mxbuf_t mxbuf);

